| Home | Libraries | People | FAQ | More

#### buffer (9 of 32 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffer buffer(
        const PodType (&data)[N]);

###### Return Value

A `const_buffer` value equivalent to:

    const_buffer(
        static_cast<const void*>(data),
        N * sizeof(PodType));